[@rxap/remote-method](../wiki/globals) / RxapRemoteMethod

# Function: RxapRemoteMethod()

> **RxapRemoteMethod**\<`MetaData`\>(`metadataOrId`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:27](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/remote-method/src/lib/base.remote-method.ts#L27)

## Type Parameters

• **MetaData** *extends* `BaseDefinitionMetadata` = `BaseDefinitionMetadata`

## Parameters

### metadataOrId

`string` | `MetaData`

### className

`string` = `'BaseRemoteMethod'`

### packageName

`string` = `'@rxap/remote-method'`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
